local L = AceLibrary("AceLocale-2.2"):new("Elephant")

--[[
Umlautersetzung: Unicode for Gemrman Umlauts
->\195\164; ->\195\182; ->\195\188; ->\195\159
]]

L:RegisterTranslations("deDE", function() return {
	--[[ Common messages ]]
	['chatlog'] = "Chat in Datei speichern",
	['combatlog'] = "Kampflog in Datei speichern",
	['disabled'] = "Ausgeschaltet",
	['enabled'] = "Eingeschaltet",
	['enableddefault'] = "Logge neue Channels.",
	['reset'] = "Zur\195\188cksetzen",
	['toggle'] = "Elephant \195\182ffnen/schlie\195\159en",
	
	--[[ Options menu elements ]]
	['clearallhelp'] = "L\195\182scht alle Logs",
	['logs'] = "Logs",
	['maxcombatlogwords'] = "Maximale Kampflogl/195/164nge",
	['maxlogwords'] = "Maximale Logl/195/164nge",
	['resethelp'] = "Setzt alle Einstellungen und Chats zur\195\188ck",
	['resetloc'] = "Positionen der Fenster zur\195\188cksetzen",
	['showbutton'] = "Zeige Schalter",
	
	--[[ Main/Copy frame elements ]]
	-- Main
	['clearall'] = "Alle Leeren",
	['copy'] = "Kopieren",
	['Disable'] = DISABLE,
	['Empty'] = EMPTY,
	['Enable'] = ENABLE,
	['maxlog'] = "Maximal %s Zeilen.",
	['nblines'] = "Zeilen: %s",
	['scroll'] = {
		['bottom'] = {
			[1] = "Zum Ende scrollen",
		},
		['linedown'] = {
			[1] = "Eine Zeile runter scrollen",
		},
		['lineup'] = {
			[1] = "Eine Zeile hoch scrollen",
		},
		['pagedown'] = {
			[1] = "Eine Seite runter scrollen",
		},
		['pageup'] = {
			[1] = "Eine Seite hoch scrollen",
		},
		['top'] = {
			[1] = "Zum Anfang scrollen",
		},
	},
	
	-- Copy
	['copywindow'] = "Chat Kopieren",
	
	--[[ Special log messages ]]
	['logstartedon'] = "Log gestartet am %s up %s.",
	['logstopped'] = "Log gestoppt.",
	['monstersay'] = "%s sagt",
	['monsteryell'] = "%s schreit",
	['whisperfrom'] = "%s fl\195\188stert",
	['whisperto'] = "Zu %s",
	
	--[[ Addon messages ]]
	['chatlogdisabled'] = "Diese Funktion ist deaktiviert.",
	['clearallconfirm'] = "Logs geleert.",
	['combatlogdisabled'] = "Diese Funktion ist deaktiviert.",
	['deleteconfirm'] = "Chat gel\195\182scht: %s",
	['emptyconfirm'] = "Log geleert: %s",
	['lootmethod'] = {
		['freeforall'] = ERR_SET_LOOT_FREEFORALL,
		['group'] = ERR_SET_LOOT_GROUP,
		['master'] = ERR_SET_LOOT_MASTER,
		['needbeforegreed'] = ERR_SET_LOOT_NBG,
		['roundrobin'] = ERR_SET_LOOT_ROUNDROBIN,
	},
	['masterlooterchanged'] =  ERR_NEW_LOOT_MASTER_S,
	['resetconfirm'] = "Alle Einstellungen und Chats zur\195\188ckgesetzt.",
	
	--[[ Tooltips ]]
	['chatlogtooltip'] = {
		[1] = "Speichert den Chat in einer Datei.",
		[2] = "Speichert den Chat (nicht das Kampflog)",
		[3] = "in Logs\\WoWChatLog.txt",
	},
	['combatlogtooltip'] = {
		[1] = "Speichert das Kampflog in einer Datei.",
		[2] = "Speichert das Kampflog",
		[3] = "in Logs\\WoWCombatLog.txt",
	},
	['enableddefaulttooltip'] = {
		[1] = "Logge neue Channels",
		[2] = "Startet automatsich das Loggen, wenn",
		[3] = "ein neuer Channel betreten wird.",
	},
	['togglebuttontooltip'] = {
		[1] = "Linksklicken um Elephant ein-/auszuschalten.",
		[2] = "Mittelklicken um die Schalterposition zur\195\188ck zu setzten.",
		[3] = "Rechtsklicken um den Schalter zu bewegen.",
	},
	['toggletooltip'] = "Linksklick, um Elephant anzuzeigen/zu verstecken.",
	
	--[[ Popup windows ]]
	['clearallpopup'] = {
		[1] = "Dies l\195\182scht alle Logs.",
		[2] = "Ok",
		[3] = "Abbruch",
	},
	['emptypopup'] = {
		[1] = "Dies leert das aktuelle Log.",
		[2] = "Ok",
		[3] = "Abbruch",
	},
	['resetpopup'] = {
		[1] = "Dies setzt alle Einstellungen und Chats zur\195\188ck.",
		[2] = "Ok",
		[3] = "Abbruch",
	},
	
	--[[ Default chat names to be displayed ]]
	['chatnames'] = {
		['combat'] = "Kampf",
		['custom'] = "Eigene Chats",
		['general'] = "Allgemeine Chats",
		['guild'] = CHAT_MSG_GUILD,
		['loot'] = CHAT_MSG_LOOT,
		['misc'] = "Misc.",
		['officer'] = CHAT_MSG_OFFICER,
		['party'] = CHAT_MSG_PARTY,
		['raid'] = CHAT_MSG_RAID,
		['say'] = CHAT_MSG_SAY,
		['system'] = SYSTEM_MESSAGES,
		['whisper'] = WHISPER,
		['yell'] = YELL_MESSAGE,
	},
	
	--[[ General chats (= that you cannot leave) names and strings that identify them ]]
	['generalchats'] = {
		['allgemein'] = {
			['name'] = "Allgemein",
			['string'] = "allgemein",
		},
		['gildenrekrutierung'] = {
			['name'] = "Gildenrekrutierung",
			['string'] = "gildenrekrutierung",
		},
		['handel'] = {
			['name'] = "Handel",
			['string'] = "handel",
		},
		['lokaleverteidigung'] = {
			['name'] = "LokaleVerteidigung",
			['string'] = "lokaleverteidigung",
		},
		['weltverteidigung'] = {
			['name'] = "WeltVerteidigung",
			['string'] = "weltverteidigung",
		},
	},
	
	--[[ Custom chats special log messages ]]
	['customchat'] = {
		['join'] = "Channel beigetreten.",
		['leave'] = "Channel verlassen.",
	},
} end)